godo.Monitoring.GetDropletTotalMemory()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Monitoring.GetDropletTotalMemory(ctx context.Context, args *godo.DropletMetricsRequest) (*godo.MetricsResponse, *godo.Response, error)Description
GetDropletTotalMemory retrieves Droplet total memory metrics.
This method sends a GET request to /v2/monitoring/metrics/droplet/memory_total.
Parameters
args*godo.DropletMetricsRequest required
Fields of godo.DropletMetricsRequest
DropletMetricsRequest holds the information needed to retrieve Droplet various metrics.
HostIDstringStarttime.TimeEndtime.Time
Returns
- *godo.MetricsResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.MetricsResponse
MetricsResponse holds a Metrics query response.
StatusstringDatagodo.MetricsData
Request Sample
More Information
See GET /v2/monitoring/metrics/droplet/memory_total in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.